<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.taais</groupId>
    <artifactId>taais-common-bom</artifactId>
    <version>${revision}</version>
    <packaging>pom</packaging>

    <description>
        taais-common-bom common依赖项
    </description>

    <properties>
        <revision>1.1.0</revision>
    </properties>

    <dependencyManagement>
        <dependencies>
            <!-- 核心模块 -->
            <dependency>
                <groupId>com.taais</groupId>
                <artifactId>taais-common-core</artifactId>
                <version>${revision}</version>
            </dependency>

            <!-- 加解密模块 -->
            <dependency>
                <groupId>com.taais</groupId>
                <artifactId>taais-common-encrypt</artifactId>
                <version>${revision}</version>
            </dependency>

            <!-- excel模块 -->
            <dependency>
                <groupId>com.taais</groupId>
                <artifactId>taais-common-excel</artifactId>
                <version>${revision}</version>
            </dependency>

            <!-- 定时任务模块 -->
            <dependency>
                <groupId>com.taais</groupId>
                <artifactId>taais-common-job</artifactId>
                <version>${revision}</version>
            </dependency>

            <!-- 序列化模块 -->
            <dependency>
                <groupId>com.taais</groupId>
                <artifactId>taais-common-json</artifactId>
                <version>${revision}</version>
            </dependency>

            <!-- 日志模块 -->
            <dependency>
                <groupId>com.taais</groupId>
                <artifactId>taais-common-log</artifactId>
                <version>${revision}</version>
            </dependency>

            <!-- 数据库映射模块 -->
            <dependency>
                <groupId>com.taais</groupId>
                <artifactId>taais-common-orm</artifactId>
                <version>${revision}</version>
            </dependency>

            <!-- oss对象存储服务模块 -->
            <dependency>
                <groupId>com.taais</groupId>
                <artifactId>taais-common-oss</artifactId>
                <version>${revision}</version>
            </dependency>

            <!-- 限流公共服务 -->
            <dependency>
                <groupId>com.taais</groupId>
                <artifactId>taais-common-ratelimiter</artifactId>
                <version>${revision}</version>
            </dependency>

            <!-- 缓存服务 -->
            <dependency>
                <groupId>com.taais</groupId>
                <artifactId>taais-common-redis</artifactId>
                <version>${revision}</version>
            </dependency>

            <!-- 安全模块 -->
            <dependency>
                <groupId>com.taais</groupId>
                <artifactId>taais-common-security</artifactId>
                <version>${revision}</version>
            </dependency>

            <!-- 接口模块 -->
            <dependency>
                <groupId>com.taais</groupId>
                <artifactId>taais-common-springdoc</artifactId>
                <version>${revision}</version>
            </dependency>

            <!-- 多租户模块 -->
            <dependency>
                <groupId>com.taais</groupId>
                <artifactId>taais-common-tenant</artifactId>
                <version>${revision}</version>
            </dependency>

            <!-- web服务 -->
            <dependency>
                <groupId>com.taais</groupId>
                <artifactId>taais-common-web</artifactId>
                <version>${revision}</version>
            </dependency>

            <!-- WebSocket模块 -->
            <dependency>
                <groupId>com.taais</groupId>
                <artifactId>taais-common-websocket</artifactId>
                <version>${revision}</version>
            </dependency>

        </dependencies>
    </dependencyManagement>

</project>
